using System.Collections.Generic;
using Upsilon.BaseTypes;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public class BoundBadExpression : BoundExpression
    {
        public BoundBadExpression(TextSpan span) : base(span)
        {
        }

        public override BoundKind Kind => BoundKind.BoundBadExpression;

        public override IEnumerable<BoundNode> GetChildren()
        {
            yield break;
        }

        public override TypeContainer Type => BaseTypes.Type.Nil;
    }
}