namespace Upsilon.Binder
{
    public enum BoundKind
    {
        BoundVariableSymbol,
        BoundScript,

        BoundLiteralExpression,
        BoundBinaryExpression,
        BoundUnaryExpression,
        VariableExpression,
        BoundFunctionCallExpression,
        BoundTableExpression,
        BoundIndexExpression,
        BoundFunctionExpression,
        BoundBadExpression,

        // Statements
        BoundAssignmentStatement,
        BoundExpressionStatement,
        BoundBlockStatement,
        BoundIfStatement,
        BoundElseStatement,
        BoundPromise,
        BoundReturnStatement,
        BoundFunctionAssignmentStatement,
        BoundTableAssigmentStatement,
        BoundFullstopIndexExpression,
        BoundMultiAssignmentStatement,
        BoundNumericForStatement,
        BoundGenericForStatement,
        BoundBreakStatement,
        BoundWhileStatement,
    }
}