using System.Collections.Generic;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public class BoundExpressionStatement : BoundStatement
    {
        public BoundExpression Expression { get; }
        public override BoundKind Kind => BoundKind.BoundExpressionStatement;

        public override IEnumerable<BoundNode> GetChildren()
        {
            yield return Expression;
        }

        public BoundExpressionStatement(BoundExpression expression, TextSpan span):base(span)
        {
            Expression = expression;
        }
    }
}