using System.Collections.Generic;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public class BoundReturnStatement : BoundStatement
    {
        public BoundReturnStatement(BoundExpression expression, TextSpan span) : base(span)
        {
            Expression = expression;
        }

        public BoundExpression Expression { get; }
        public override BoundKind Kind => BoundKind.BoundReturnStatement;

        public override IEnumerable<BoundNode> GetChildren()
        {
            yield return Expression;
        }
    }
}