using Upsilon.BaseTypes;

namespace Upsilon.Binder.VariableSymbols
{
    public class VariableSymbol
    {
        public VariableSymbol(string name, TypeContainer typeContainer, bool local)
        {
            TypeContainer = typeContainer;
            Local = local;
            Name = name;
        }

        public virtual TypeContainer TypeContainer { get; set; }
        public bool Local { get; }
        public string Name { get; }
        public string[] CommentValue { get; set; }

    }
}