using Upsilon.BaseTypes;

namespace Upsilon.BoundTypes
{
    public class BoundTypeDefinition
    {
        public BoundTypeDefinition(TypeContainer scriptType, System.Type[] validInternalTypes)
        {
            ScriptType         = scriptType;
            ValidInternalTypes = validInternalTypes;
        }

        public BoundTypeDefinition(TypeContainer scriptType, System.Type backingType)
        {
            ScriptType         = scriptType;
            ValidInternalTypes = new []{backingType};
        }

        public TypeContainer          ScriptType         { get; }
        public System.Type[] ValidInternalTypes { get; }
    }
}