using System.Collections.Generic;
using Upsilon.Text;

namespace Upsilon.Parser
{
    public abstract class SyntaxNode
    {
        public abstract SyntaxKind Kind { get; }


        public virtual TextSpan Span { get; set; }

        public abstract IEnumerable<SyntaxNode> ChildNodes();
    }
}