using Upsilon;
using Upsilon.Evaluator;
using Xunit;

namespace UpsilonTests.GeneralTests
{
    public class CommentTests : TestClass
    {
        public CommentTests(StaticScriptFixture fix) : base(fix)
        {
        }

        [Fact]
        public void BasicComment()
        {
            const string input = @"
-- test comment
return 100
";
            var actual = Executor.EvaluateScript<long>(input, Options);
            Assert.Equal(100, actual);
        }

    }
}