using System.Collections.Generic;

namespace Upsilon.Evaluator.Debugging
{
    public class BreakpointInfo
    {
        private Dictionary<string, object> _variables;
        public BreakpointInfo(EvaluationScope scope)
        {
            _variables = new Dictionary<string, object>();
            while (scope != null)
            {
                foreach (var v in scope.Variables)
                {
                    _variables.Add(v.Key, v.Value);
                }

                scope = scope.ParentScope;
            }
        }
    }
}