using System.Collections.Generic;
using Upsilon.Text;

namespace Upsilon.Parser
{
    public class BadExpressionSyntax : ExpressionSyntax
    {
        public BadExpressionSyntax(TextSpan span)
        {
            Span = span;
        }

        public override SyntaxKind Kind => SyntaxKind.BadExpression;
        public override IEnumerable<SyntaxNode> ChildNodes()
        {
            yield break;
        }
    }
}