using System.Collections.Generic;

namespace Upsilon.Parser
{
    public class ExpressionStatementSyntax : StatementSyntax
    {
        public ExpressionSyntax Expression { get; }

        public ExpressionStatementSyntax(ExpressionSyntax expression)
        {
            Expression = expression;
            Span = expression.Span;
        }

        public override SyntaxKind Kind => SyntaxKind.ExpressionStatement;
        public override IEnumerable<SyntaxNode> ChildNodes()
        {
            yield return Expression;
        }
    }
}